Package org.eclipse.birt.chart.computation

# Class LegendBuilder

java.lang.Object
org.eclipse.birt.chart.computation.LegendBuilder

All Implemented Interfaces:
  `IConstants`

public final class LegendBuilder extends Object implements IConstants
A helper class for Legend computation.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`LegendBuilder.LabelItem`

## Field Summary

### Fields inherited from interface org.eclipse.birt.chart.computation.IConstants

`ABOVE, ANCILLARY_AXIS, ANCILLARY_BASE, ARRAY, AUTO, AVERAGE, AXIS, BACKWARD, BASE, BASE_AXIS, BELOW, BIG_NUMBER_PRIMITIVE_ARRAY, BOOLEAN, BOTTOM, CENTER, COLLECTION, DATE_TIME, DESIGN_TIME, EMPTY_STRING, EQUAL, FORWARD, HORIZONTAL, INSIDE, LABELS, LEFT, LEGEND_ENTRY, LEGEND_GROUP_NAME, LEGEND_MINSLICE_ENTRY, LEGEND_SEPERATOR, LESS, LINE_EXPAND_DOUBLE_SIZE, LINE_EXPAND_SIZE, LINEAR, LOG_10, LOGARITHMIC, MAJOR, MAX, MIN, MINOR, MORE, NON_PRIMITIVE_ARRAY, NULL_STRING, NUMBER_PRIMITIVE_ARRAY, NUMERICAL, ONE_SPACE, ORTHOGONAL, ORTHOGONAL_AXIS, OTHER, OUTSIDE, PERCENT, POSITION_MASK, POSITION_MOVE_ABOVE, POSITION_MOVE_BELOW, POSITION_MOVE_LEFT, POSITION_MOVE_RIGHT, PRIMITIVE_ARRAY, RIGHT, RUN_TIME, SOME_NULL, TEXT, THREE_D, TICK_ABOVE, TICK_ACROSS, TICK_BELOW, TICK_LEFT, TICK_NONE, TICK_RIGHT, TICK_SIDE1, TICK_SIDE2, TICK_SIZE, TOP, TWO_5_D, TWO_D, UNDEFINED, UNDEFINED_STRING, USER_INTERFACE, VALUE, VERTICAL`

## Constructor Summary

Constructors
Constructor
Description
`LegendBuilder()`

## Method Summary

Modifier and Type
Method
Description
`Size`
`compute(IDisplayServer xs, Chart cm, SeriesDefinition[] seda, RunTimeContext rtc)`
Computes the size of the legend.
`Size`
`getSize()`
Returns the size computed previously.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LegendBuilder

public LegendBuilder()

## Method Details

### compute

public Size compute(IDisplayServer xs, Chart cm, SeriesDefinition[] seda, RunTimeContext rtc) throws ChartException
Computes the size of the legend. Note the computation relies on the title size, so the title block must be layouted first before this.

Parameters:
  `lg` -
  `sea` -
Throws:
  `ChartException`

### getSize

public Size getSize()
Returns the size computed previously.

Returns:
  size